<?php
/**
 * @package	ronhighlightjs
 * @copyright	Copyright (C) 2017 ron.gr
 * @license	GNU General Public License version 2 or later
 */

// No direct access.
defined('_JEXEC') or die;

class plgContentRonhighlightjs extends JPlugin
{
	/**
	 * @param	string	The context of the content being passed to the plugin.
	 * @param	object	The article object.  Note $article->text is also available
	 * @param	object	The article params
	 * @param	int		The 'page' number
	 */
	public function onContentPrepare($context, &$article, &$params, $page = 0)
	{
		// Exit if there are no closing <pre> tags
		if (JString::strpos($article->text, 'pre>') === false) {
			return true;
		}
		
		$document = JFactory::getDocument();
		
		$style = $this->params->get('hlstyle', 'github.css');
		
		$css_url = JUri::base() .'plugins' . DS. 'content' . DS . 'ronhighlightjs' . DS . 'css' . DS . $style;
		$js_url = JUri::base() .'plugins' . DS. 'content' . DS . 'ronhighlightjs' . DS . 'scripts' . DS . 'highlight.pack.js';
		
		$document->addStyleSheet($css_url);
		$document->addScript($js_url);

		$document->addScriptDeclaration('var DOMReady = function(a,b,c){b=document,c=\'addEventListener\';b[c]?b[c](\'DOMContentLoaded\',a):window.attachEvent(\'onload\',a)}; DOMReady(function () { hljs.initHighlightingOnLoad();   });');

		return true;
	}

}
